local noisily "qui"
local noisily "noisily"
estimates clear
local k=1

//////////////////////////////// Treated * post analysis
preserve
keep if  EXTRI!=. & EXTRI!=0 $cond 
keep if NAIA>=$min_cohort & NAIA<=$max_cohort & mainland_france==1  & ($migrant ==1 | $native ==1 ) & AG>=$AGE & born_france==1  & female==$girls $cond

global cat_controls "$controls_categorical"
global cont_controls "$controls_continuous"

// Control dummies
foreach ctrl of varlist $cont_controls  {
gen dum_ctrl_`ctrl'=(`ctrl'==.)
egen mean_`ctrl'=mean(`ctrl')
replace `ctrl'=mean_`ctrl' if `ctrl'==.
drop mean_`ctrl'
}

foreach ctrl of varlist $cat_controls {
gen dum_ctrl_`ctrl'=(`ctrl'==.)
egen mode`ctrl'=mode(`ctrl')
replace `ctrl'=mode`ctrl' if `ctrl'==.
}


// build the structure
global cat_controls2 ""
global cont_controls2 ""
* continuous vars
local t1: word count("$cont_controls")
if `t1'>1 {
forvalues k=1/`t1' {
local con: word `k' of $cont_controls
global cont_controls2 "$cont_controls2 c.`con'"
}
}


*categorical vars
local t2: word count("$cat_controls")
if `t2'>1 {
forvalues k=1/`t2' {
local con: word `k' of $cat_controls
global cat_controls2 "$cat_controls2 i.`con'"
}
}

// cohort dummies
tab NAIA, generate(dum_NAIA)
order dum_NAIA2 dum_NAIA1, last


foreach var of varlist $outcome {
// control mean
su `var'  if $native==1 & NAIA<=$not_aff_cohort
local ctrl_mean2=round(`r(mean)',0.001)

su `var'  if $migrant==1 & NAIA<=$not_aff_cohort
local ctrl_mean_mig2=round(`r(mean)',0.001)

// place right decimals
local ctrl_mean=round(`ctrl_mean2',0.001)
local ctrl_mean_mig=round(`ctrl_mean_mig2',0.001)

///////// Dosage regression
capture drop post*
gen post=0 if NAIA<=1979
replace post=0.25 if NAIA==1980
replace post=0.5 if NAIA==1981
replace post=0.75 if NAIA==1982
replace post=1 if NAIA>=1983
label var post "Post"
gen post_migrant=post*$migrant 


* standard DID,  control 
local k=`k'+1
`noisily' reg `var' post_migrant dum_NAIA*  $migrant post $cont_controls2 $cat_controls2  dum_ctrl_*, vce(cluster $cluster) 
estimates store model`k'
estadd local controls "Yes"
estadd local mean_dep_ctrl "`ctrl_mean'"
estadd local mean_dep_ctrl_mig "`ctrl_mean_mig'"
}

//output
esttab model* using "$Tables/$table_tit.csv", replace keep(post_migrant) depvars r2 ///
star(* 0.10 ** 0.05 *** 0.01) noconstant se(3) b(3) label nonotes  compress ///
s(space mean_dep_ctrl mean_dep_ctrl_mig controls r2 N, labels(" " "Mean outcome non-Muslim $min_cohort-$not_aff_cohort" "Mean outcome Muslim $min_cohort-$not_aff_cohort"  "Controls"  "R2"))

