clear all

**Set Up**

use "$Path_teo\polrel2.dta", clear
rename *, upper


tempfile restricted
save "`restricted'"
	
use "$Path_teo\indiv2.dta", clear
rename *, upper

keep NE SEXEE ANAISE DEPNE IDENT R_RELSOI AGE08    R_OSTENT ///
 CS42_EGO CS_CJ  NATE1NIV2 NATE2NIV2 NATE3NIV2 NATANTE1NIV2 NATANTE2NIV2 NATPC1NIV2 NATANTPC1NIV2


*Merge  

merge 1:1 IDENT using `restricted'

destring _all, replace 



*Generating some variables

gen female=(SEXEE==2)


egen DNAI=group(DEPNE), missing



rename (ANAISE AGE08) (NAIA AG)


*nationalité d’ego: NATE1NIV2 NATE2NIV2 NATE3NIV2
*nationalité d'ego avant de devenir français si Ego est français par acquisition: NATANTE1NIV2 NATANTE2NIV2
*nationalité du premier conjoint d'ego: NATPC1NIV2
*Nationalités antérieures du premier conjoint si Français(e) par acquisition: NATANTPC1NIV2

/// Nationality - ind
*start with te nationality before frenc
gen nationality=NATANTE1NIV2
replace nationality=NATANTE2NIV2 if nationality==.
* add nationality
replace nationality=NATE1NIV2 if nationality==.
replace nationality=NATE2NIV2 if nationality==.
replace nationality=NATE3NIV2 if nationality==.

* gen nationality
tostring nationality, replace
gen NAT_7=substr(nationality, 1, 2)
destring NAT_7, replace


/// Nationality - partner
*start with te nationality before french
gen nationality_partner=NATANTPC1NIV2
* add nationality
replace nationality_partner=NATPC1NIV2 if nationality_partner==.
* gen nationality
tostring nationality_partner, replace
gen NATPARTNER_7=substr(nationality_partner, 1, 2)
destring NATPARTNER_7, replace


/// housewives
gen housewives2=(CS42_EGO==81|CS42_EGO==85|CS42_EGO==86) if CS42_EGO!=0 & CS42_EGO!=. & CS42_EGO!=84 


*Skilled_father and skilled_partner
tostring CS_CJ, replace
g skilled_partner=.
replace skilled_partner=1 if CS_CJ=="21" |CS_CJ=="22" |CS_CJ=="23" |CS_CJ=="31" |CS_CJ=="33" |CS_CJ=="34" |CS_CJ=="35" |CS_CJ=="37"|CS_CJ=="38" |CS_CJ=="42" |CS_CJ=="43" |CS_CJ=="44" |CS_CJ=="45" |CS_CJ=="46" |CS_CJ=="47" |CS_CJ=="48" |CS_CJ=="72" |CS_CJ=="74" |CS_CJ=="75"
replace skilled_partner=0 if skilled_partner!=1 & CS_CJ=="10" |CS_CJ=="11" |CS_CJ=="12" |CS_CJ=="13" |CS_CJ=="52" |CS_CJ=="53" |CS_CJ=="54" |CS_CJ=="55" |CS_CJ=="56" |CS_CJ=="62" |CS_CJ=="63" |CS_CJ=="64" |CS_CJ=="65" |CS_CJ=="67"|CS_CJ=="68" |CS_CJ=="69" |CS_CJ=="71" |CS_CJ=="77" |CS_CJ=="78" |CS_CJ=="81" |CS_CJ=="82" |CS_CJ=="84"|CS_CJ=="85" |CS_CJ=="86"



***************
g fathermuslim=(RELPERE1==20|RELPERE1==21) if RELPERE1!=. & RELPERE1!=99 & RELPERE1!=88
label var fathermuslim "Father is muslim"



g ownmuslim=(RELEGO1==20|RELEGO1==21) if RELEGO1!=. & RELEGO1!=99 & RELEGO1!=88
label var ownmuslim "Person is muslim"

g veil=(SIGNEREL1==3) if R_RELSOI<=2
replace veil=1 if SIGNEREL2==3 
replace veil=1 if SIGNEREL3==3 
label var veil "Wearing veil"

g always_veil=(veil==1 & R_OSTENT==1) if R_RELSOI<=2 
label var always_veil "Always wear a veil"



**************
rename (skilled_partner NATPARTNER_7 NAT_7) (skilled_father_stored NATPER NATMER)
foreach x in NATPER NATMER {
gen `x'_2=1 if inlist(`x',11,12)
replace  `x'_2=2 if inlist(`x',41,42,43,44,45,46,47,48,49)
replace  `x'_2=6 if inlist(`x',21,22,23)
replace  `x'_2=7 if inlist(`x',24,25,26)
replace  `x'_2=8 if inlist(`x',34)
replace  `x'_2=9 if inlist(`x',31,32,33)
replace  `x'_2=10 if inlist(`x',51)
}
*rename 
rename  (NATPER_2 NATMER_2) (NATPARTNER_7 NAT_7)
keep IDENT always_veil veil ownmuslim NATPARTNER_7 NAT_7 DNAI DEPNE skilled_father_stored NAIA housewives2 female AG fathermuslim  //mainland_france born_france  housewives


save "$DB_enquete/for_predict_TeO.dta", replace

